Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.identity
Class UserGroupTaskAttachmentDecorator

    java.lang.Object
      org.jbpm.task.identity.UserGroupTaskAttachmentDecorator

All Implemented Interfaces:
  TaskAttachmentService

    @Decorator
    public class UserGroupTaskAttachmentDecorator

extends Object
implements TaskAttachmentService

Constructor Summary
`UserGroupTaskAttachmentDecorator()`

Method Summary
`long` | `addAttachment(long taskId, Attachment attachment, Content content)`
`void` | `deleteAttachment(long taskId, long attachmentId)`
`List<Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
`Attachment` | `getAttachmentById(long attachId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupTaskAttachmentDecorator

    public UserGroupTaskAttachmentDecorator()

Method Detail

### addAttachment

    public long addAttachment(long taskId,
                              Attachment attachment,
                              Content content)

  Specified by:
    `addAttachment` in interface `TaskAttachmentService`

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId)

  Specified by:
    `deleteAttachment` in interface `TaskAttachmentService`

### getAllAttachmentsByTaskId

    public List<Attachment> getAllAttachmentsByTaskId(long taskId)

  Specified by:
    `getAllAttachmentsByTaskId` in interface `TaskAttachmentService`

### getAttachmentById

    public Attachment getAttachmentById(long attachId)

  Specified by:
    `getAttachmentById` in interface `TaskAttachmentService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.